Browse Source

gn: make sure we use the correct rust version

wip-tensorflow
Efraim Flashner 4 months ago
parent
commit
6b05f2e196
Signed by: efraim GPG Key ID: 41AAE7DCCA3D8351
  1. 5
      gn/packages/bioinformatics.scm
  2. 5
      gn/packages/crates-io.scm

5
gn/packages/bioinformatics.scm

@ -472,7 +472,10 @@ reads.")
(("^handlegraph.*") "handlegraph = \"0.7\"\n"))))))
(build-system cargo-build-system)
(arguments
`(#:rust ,rust-1.49 ; or later
`(#:rust ,(if (> (string->number (version-major+minor (package-version rust-1.49)))
(string->number (version-major+minor (package-version rust))))
rust-1.49
rust)
#:cargo-inputs
(("rust-clap" ,rust-clap-3)
("rust-rustc-hash" ,rust-rustc-hash-1)

5
gn/packages/crates-io.scm

@ -24,7 +24,10 @@
(base32
"1frlcdwhycjvizb0gfb0v36vxjdi0jxagl2l2v6dzdjxpaawv9rs"))))
(arguments
`(#:rust ,rust-1.47 ; or later
`(#:rust ,(if (> (string->number (version-major+minor (package-version rust-1.47)))
(string->number (version-major+minor (package-version rust))))
rust-1.47
rust)
#:cargo-inputs
(("rust-anyhow" ,rust-anyhow-1)
("rust-boomphf" ,rust-boomphf-0.5)

Loading…
Cancel
Save